#include <SPI.h>

volatile byte receivedByte;

void setup() {
  Serial.begin(9600);
  pinMode(MISO, OUTPUT); // Configurer MISO comme sortie
  SPCR |= _BV(SPE); // Activer SPI en mode esclave
  SPI.attachInterrupt(); // Activer l'interruption SPI
}

ISR(SPI_STC_vect) {
  receivedByte = SPDR; // Lire le registre de données SPI
}

void loop() {
  if (receivedByte != 0) {
    Serial.print("Reçu : ");
    Serial.println(receivedByte, HEX);
    receivedByte = 0;
  }
}
